Quels mirroirs pour installer synaptic sur Sid ?


#1

Je patauge, je patauge :cry:
Il me manque tjrs qq chose comme dépendance pour installer Synaptic (et d’autres choses aussi mais une à la fois) :
libgtk2.0-0 >2.6.10-9
libpango1.0-0 > 1.8.2-3


#2

Tu fais plus que patauger Ricardo. La je ne sais pas ce qui peux te manquer comme source, c’est dans main de chez main…console@emeraude:~$ apt-cache policy synaptic synaptic: Installé : 0.57.5.1 Candidat : 0.57.5.1 Table de version : 0.57.6 0 95 http://ftp2.fr.debian.org sid/main Packages *** 0.57.5.1 0 990 http://ftp2.fr.debian.org etch/main Packages 100 /var/lib/dpkg/status 0.55+cvs20050503-4 0 97 http://ftp2.fr.debian.org sarge/main Packages console@emeraude:~$ apt-cache policy libgtk2.0-0 libgtk2.0-0: Installé : 2.6.10-1 Candidat : 2.6.10-1 Table de version : 2.6.10-2 0 95 http://ftp2.fr.debian.org sid/main Packages *** 2.6.10-1 0 990 http://ftp2.fr.debian.org etch/main Packages 100 /var/lib/dpkg/status 2.6.4-3.1 0 98 http://security.debian.org sarge/updates/main Packages 2.6.4-3 0 97 http://ftp2.fr.debian.org sarge/main Packages console@emeraude:~$ apt-cache policy libpango1.0-0 libpango1.0-0: Installé : 1.8.2-3 Candidat : 1.8.2-3 Table de version : *** 1.8.2-3 0 990 http://ftp2.fr.debian.org etch/main Packages 95 http://ftp2.fr.debian.org sid/main Packages 100 /var/lib/dpkg/status 1.8.1-1 0 97 http://ftp2.fr.debian.org sarge/main Packages


#3

Je n’y comprends rien, j’abandonne pour l’instant, 5 heures, ça suffit.

[code]ricardo3@debian-sid:~$ apt-cache policy synaptic
synaptic:
Installé : (aucun)
Candidat : 0.57.6
Table de version :
0.57.6 0
500 http://ftp.fr.debian.org unstable/main Packages
500 http://ftp2.fr.debian.org unstable/main Packages
500 http://ftp.fr.debian.org sid/main Packages
500 http://ftp2.fr.debian.org sid/main Packages
0.57.5.1 0
500 http://ftp.fr.debian.org testing/main Packages
0.55+cvs20050503-4 0
500 http://ftp.fr.debian.org stable/main Packages
100 /var/lib/dpkg/status
ricardo3@debian-sid:~$

ricardo3@debian-sid:~$ apt-cache policy libgtk2.0-0
libgtk2.0-0:
Installé : 2.6.10-2
Candidat : 2.6.10-2
Table de version :
*** 2.6.10-2 0
500 http://ftp.fr.debian.org unstable/main Packages
500 http://ftp2.fr.debian.org unstable/main Packages
500 http://ftp.fr.debian.org sid/main Packages
500 http://ftp2.fr.debian.org sid/main Packages
100 /var/lib/dpkg/status
2.6.10-1 0
500 http://ftp.fr.debian.org testing/main Packages
2.6.4-3.1 0
500 http://security.debian.org stable/updates/main Packages
2.6.4-3 0
500 http://ftp.fr.debian.org stable/main Packages
ricardo3@debian-sid:~$

ricardo3@debian-sid:~$ apt-cache policy libpango1.0-0
libpango1.0-0:
Installé : 1.8.2-3
Candidat : 1.8.2-3
Table de version :
*** 1.8.2-3 0
500 http://ftp.fr.debian.org testing/main Packages
500 http://ftp.fr.debian.org unstable/main Packages
500 http://ftp2.fr.debian.org unstable/main Packages
500 http://ftp.fr.debian.org sid/main Packages
500 http://ftp2.fr.debian.org sid/main Packages
100 /var/lib/dpkg/status
1.8.1-1 0
500 http://ftp.fr.debian.org stable/main Packages
ricardo3@debian-sid:~$ [/code]

Mon sources.list

[code]deb http://ftp.fr.debian.org/debian/ stable main
deb-src http://ftp.fr.debian.org/debian/ stable main

deb http://security.debian.org/ stable/updates main

DEBIAN STABLE [SARGE]

deb http://ftp.fr.debian.org/debian stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian stable main contrib non-free

deb http://security.debian.org/ stable/updates main contrib non-free
deb-src http://security.debian.org/ stable/updates main contrib non-free

deb http://ftp2.fr.debian.org sarge main

deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb-src http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free

DEBIAN DESKTOP (KDE)

deb http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3/ sarge main
deb-src http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3/ sarge main

DEBIAN TESTING [ETCH]

deb http://ftp.fr.debian.org/debian testing main contrib non-free
deb-src http://ftp.fr.debian.org/debian testing main contrib non-free

deb http://ftp2.fr.debian.org etch main

deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free

DEBIAN UNSTABLE [SID]

deb http://ftp.fr.debian.org/debian/ unstable main
deb-src http://ftp.fr.debian.org/debian/ unstable main

deb http://ftp2.fr.debian.org/debian/ unstable main
deb-src http://ftp2.fr.debian.org/debian/ unstable main

deb http://ftp2.fr.debian.org sid main

deb http://ftp.fr.debian.org/debian unstable main contrib non-free
deb-src http://ftp.fr.debian.org/debian unstable main contrib non-free

deb http://ftp2.fr.debian.org/debian/ unstable main contrib non-free
deb-src http://ftp2.fr.debian.org/debian/ unstable main contrib non-free

sid

deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src ftp://ftp.fr.debian.org/debian/ sid main contrib non-free

deb http://ftp2.fr.debian.org/debian/ sid main contrib non-free
deb-src ftp://ftp2.fr.debian.org/debian/ sid main contrib non-free

DEBIAN DESKTOP (KDE)

deb http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3 sarge main
deb-src http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3 sarge main

deb http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3 etch main

deb-src http://www.debian-desktop.org/pub/linux/debian/kde-3.4.3 etch main

deb http://pkg-kde.alioth.debian.org/kde-3.4.3/ ./

[/code]

Résultat quand je veux installer Synaptic :

[code]ricardo3@debian-sid:~$ sudo apt-get install synaptic
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l’impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n’ont pas encore
été créés ou ne sont pas sortis d’Incoming.

Puisque vous n’avez demandé qu’une seule opération, le paquet n’est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L’information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
synaptic: Dépend: libgtk2.0-0 (>= 2.8.0) mais 2.6.10-2 devra être installé
Dépend: libpango1.0-0 (>= 1.10.1) mais 1.8.2-3 devra être installé
E: Paquets défectueux
ricardo3@debian-sid:~$
[/code]

Je suis nul, je sais mais je ne vois pas où est l’erreur :blush:


#4

packages.debian.org/cgi-bin/sear … chon=names

essaie libgtk2 depuis l’experimental

packages.debian.org/cgi-bin/sear … chon=names

idem pour libpango1

enfin, je rappelle que sid = unstable = réservé aux développeurs, testeurs et personnes “pros” (et aux suicidaires?) …

aussi, dans ton sources.list tu as plusieurs fois les mêmes dépôts, ce qui est inutile.

@+


#5

[quote]enfin, je rappelle que sid = unstable = réservé aux développeurs, testeurs et personnes “pros” (et aux suicidaires?) …
[/quote] Tu as oublié “aux masos”, ce que je suis :mrgreen:
De ttes façon, je ne fais ça que par curiosité, pour savoir si j’arrive à m’en sortir, ce qui n’est pas le cas, mais c’est là l’intéressant.
Parrallèlement, j’ai la Sarge et la Etch qui sont fonctionnelles.
Autre question :
peut-on règler ce genre de problèmes avec l’installation à partir de
packages.debian.org/unstable/
? Il me semble que je l’avais déjà fait sur une autre distrib mais est-ce que c’est “propre” ?
Pour les doublons, je sais mais j’ai rajouté sans vraiment chercher et il faut que je fasse le ménage.
Je vais tenter ce que tu donnes et si je n’ai pas de rslt, j’install les paquet de la version etch pour ce qui ne colle pas.

PS :
Tu avais déjà répondu à ma question, excuse-moi !


#6

je te renvoie déjà à ma réponse:
forum.debian-fr.org/viewtopic.php?p=11457#11457

Sinon, quand tu en arrives aux extremités ou te pousse la sid, rien n’est sale, tant que tu passes par apt, dpkg, ou leurs dérivés…